Bug 121694 - keyboard stops working after upgrading to kernel-2.6.5-1.327
keyboard stops working after upgrading to kernel-2.6.5-1.327
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 00:03 EDT by Scott Kennedy
Modified: 2015-01-04 17:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 19:49:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Kennedy 2004-04-26 00:03:20 EDT
Description of problem: Install Fedora Core 1 on emachines 6805 using
USB keyboard.  After initial boot regular keyboard works fine. 
Upgrade to newest development release using yum.  Booting into
2.4.22-1-2174 works just fine all day long...can reboot as much as
heart desires without need of USB keyboard or anything.  Decide to
boot into newest 2.6.5-1.327 for fun.  Keyboard is not
recognized...reboot into 2.6.5 kernel using USB keyboard...no luck. 
Get slightly miffed and reboot into 2.4.22 kernel w/o USB
keyboard...regular keyboard does not work.  Reboot again into 2.4.22
w/ USB keyboard...regular keyboard STILL doesn't work.  Now filing
bug.  I'm thinking it's gotta be in a *.conf file somewhere, but I
haven't the slightest clue where that would be.  Any suggestions would
be really great b/c I don't want to hose my partition after all that work.


Version-Release number of selected component (if applicable):


How reproducible:
See above

Steps to Reproduce:
1.
2.
3.
  
Actual results: keyboard completely useless regardless of kernel used


Expected results: keyboard should be useful regardless of kernel used


Additional info:
Comment 1 Marty Shannon 2004-05-01 17:38:15 EDT
For the record, the FC2T3 DVD for x86_64 has this problem as well. 
That makes 2 FC2T releases for x86_64 that cannot be made to boot on
the eMachines 6805 laptop.
Comment 2 Marty Shannon 2004-05-01 17:44:32 EDT
Is this also related to bug 120832?
Comment 3 Dave Jones 2004-06-14 20:46:21 EDT
fixed in the current errata kernel ?
Comment 4 Marty Shannon 2004-06-15 01:07:25 EDT
I would love to test this, but the FC2 (final) DVD image won't boot on
the M6805.  If there is a way to get past the failure to recognize the
attached keyboard (it is a laptop), I'd love to give it a shot.  If
purchasing a USB keyboard will get me there, well, then, that's what
I'll do.  But please get me past that hurdle....
Comment 5 Dave Jones 2004-11-27 15:21:34 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?

Note You need to log in before you can comment on or make changes to this bug.